<?php

    include("../scripts/connect.php");

   $conexion=conecta_default();

   

   include_once("../scripts/session.php");

   //Validar Session



    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/



    if(!$sesion->isValida("4")){ /*Sesion invalida*/



	 header("Location: ../index.php?err=NoSesion");



    }/*no hay sesion*/



    else{



       $dato=explode("|",$_SESSION['usuario']);

       $sesion->setDatos($dato[0],$dato[1],$dato[2]);

       $sesion->setSesion();



    }

    //fin validar session



  $conexion=conecta_default();



   $num1 =$_POST['rfc'];
   $num2 =$_POST['trans'];



     

	 //$status="";
if(isset($num1)){
   
$qa = "SELECT id_inver, rfc, nombre, appat, apmat, estatus_idestatus FROM inversionista WHERE rfc = '$num1'";
   $ca = mysql_query($qa) or die ('Error (Registro No Encontrado): ' . mysql_error());

   if(mysql_affected_rows())
   {
   	$ra = mysql_fetch_object($ca);
	$id = $ra->id_inver;
    $rfc = $ra->rfc;
	$nombre = $ra->nombre;
	$apat = $ra->appat;
	$amat = $ra->apmat;
    $estatus = $ra->estatus_idestatus;}
    
	 $q2 = "SELECT regs2.idreg, fechap, _real, apagar, pagado, status, banco.nombre, nocuenta, folio, fechap, observaciones from regs2 left join pagos on regs2.idreg=pagos.idreg left join banco on banco.idbanco=pagos.idbanco where id_inver=$id and fechap>='2016-05-01'";}
	 else
	 {
		$q2 = "SELECT rfc, inversionista.nombre, appat, apmat, cantidad, puntos, fechat, idtransacciones, inversionista.id_inver, tipostr_idtipostr, status FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver WHERE idtransacciones='".$num2."' order by idtransacciones";} 
		 
	
	

 $totalin = 0;
  $totalin2 = 0;
$c2 = mysql_query($q2) or die ('ErrPP: '. mysql_error());
  

   
if(!mysql_affected_rows($conexion))
{
	echo "<center>No hay Regalias por el momento.</center><br>";
    exit;
}


echo "<html>
			<body>
			
			<br>
			<center><font size=\"+3\" color=\"#594106\"><b>Detalle de  Regalias</b></font>
			
			<br><br>$rfc $nombre $apat $amat
			<br><br>
<form name=\"pagar\" action=\"agrupar_regs4.php\" method=\"post\">
	        <table cellpadding=\"1\" align=\"center\">
	 ";
	
	
echo " <tr bgcolor=\"#594106\"><th><font color=\"#FFFFFF\">ID</font></th><th><font color=\"#FFFFFF\">Fecha</font></th><th><font color=\"#FFFFFF\">Generado</font></th><th><font color=\"#FFFFFF\">Por Pagar</font></th><th><font color=\"#FFFFFF\">Pagado</font></th><th><font color=\"#FFFFFF\">Estatus</font></th><th><font color=\"#FFFFFF\">Banco</font></th><th><font color=\"#FFFFFF\">nocuenta</font></th>
<th><font color=\"#FFFFFF\">folio</font></th><th><font color=\"#FFFFFF\">Fecha Pago</font></th><th><font color=\"#FFFFFF\">Observaciones</font></th><th><font color=\"#FFFFFF\"></font></th>
</tr>";

while (($objetoPP=mysql_fetch_object($c2)) )
{$totalin+=$objetoPP->apagar; $stat=$objetoPP->status;$lareg=$objetoPP->idreg;

switch ($stat){
	case 0:
	$elstat="Por Pagar";
	break;
	case 1 :
	$elstat="Pagado";
	break;
	case 4 :
	$elstat="Producto";
	break;
	case 5 :
	$elstat="Voucher";
	break;
	
}

	echo "<tr bgcolor=\"#ece3bb\">
			 <td>$objetoPP->idreg</td><td>$objetoPP->fechap</td><td>$objetoPP->_real </td><td>$objetoPP->apagar</td>
			 <td>$objetoPP->pagado</td><td>$elstat</td><td>$objetoPP->nombre</td><td>$objetoPP->nocuenta</td><td>$objetoPP->folio</td><td>$objetoPP->fechap</td><td>$objetoPP->observaciones</td><td><form name=\"pagar\" action=\"detalle_rega.php\" method=\"post\">
			<input type=hidden name=regalia value='$lareg'><input type=hidden name=elrfc value='$rfc'>
			<input type=\"submit\" value=\"VER MAS\" name=\"pago\"></form></td>
             
			
  
		  </tr> 
		 ";
   
}
echo "</table><br>
El total de regalias por pagar $ $totalin<br><br><br><input type=hidden name=cliente value=$inver><input type=hidden name=money value=$totalin>
			<input type=\"submit\" value=\"Combinar Regalias para deposito\" name=\"pago\"></form>"; 


	
	?>
	





